1. Usage
BeatAPI
  • Workflows
    • List launch workflows
      GET
  • Music Video
    • Create a Music Video workflow task
      POST
  • Ecommerce Video
    • Create an Ecommerce Video workflow task
      POST
  • Tasks
    • Poll task status
      GET
  • Usage
    • Get account usage and concurrency
      GET
  • Files
    • Upload a file for workflow inputs
      POST
  • Webhooks
    • List webhook endpoints
      GET
    • Create a webhook endpoint
      POST
    • Get a webhook endpoint
      GET
    • Update a webhook endpoint
      PATCH
    • Delete a webhook endpoint
      DELETE
  • Schemas
    • Workflow
    • TaskStatus
    • TaskUsage
    • Task
    • File
    • WebhookEndpoint
    • WebhookEvent
    • WorkflowList
    • WorkflowListResponse
    • TaskResponse
    • Usage
    • UsageResponse
    • FileResponse
    • WebhookEndpointList
    • WebhookEndpointListResponse
    • WebhookEndpointResponse
    • DeleteResponse
    • Error
  1. Usage

Get account usage and concurrency

GET
/v1/usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200
application/json
Usage summary
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.beatapi.io/v1/usage' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "object": "usage",
        "credit_balance": 1080,
        "total_tasks": 12,
        "credits_settled": 720,
        "credits_refunded": 450,
        "concurrency": {
            "limit": 2,
            "active": 1
        },
        "by_workflow": [
            {
                "workflow": "music-video",
                "tasks": 8,
                "credits_settled": 480
            },
            {
                "workflow": "ecommerce-video",
                "tasks": 4,
                "credits_settled": 240
            }
        ]
    }
}
Modified at 2026-06-25 13:50:22
Previous
Poll task status
Next
Upload a file for workflow inputs
Built with